From a2774842545f196c3832a6427581b584b32d988a Mon Sep 17 00:00:00 2001
From: Steve MacLean <sdmaclea.qdt@qualcommdatacenter.com>
Date: Tue, 22 May 2018 13:32:43 -0400
Subject: [PATCH] Fix race in test waitone1

---
 tests/src/baseservices/threading/mutex/misc/waitone1.cs | 16 ++--------------
 1 file changed, 2 insertions(+), 14 deletions(-)

diff --git a/tests/src/baseservices/threading/mutex/misc/waitone1.cs b/tests/src/baseservices/threading/mutex/misc/waitone1.cs
index 40f144b..d5a0c5c 100644
--- a/tests/src/baseservices/threading/mutex/misc/waitone1.cs
+++ b/tests/src/baseservices/threading/mutex/misc/waitone1.cs
@@ -100,7 +100,7 @@ public class MutexWaitOne1
                 thread = new Thread(new ThreadStart(NeverReleaseMutex));
                 thread.Start();
 
-                Thread.Sleep(100);
+                thread.Join();
                 m_Mutex.WaitOne();
 
                 TestLibrary.TestFramework.LogError("101", "AbandonedMutexException is not thrown if a thread exited without releasing a mutex");
@@ -115,13 +115,6 @@ public class MutexWaitOne1
                 TestLibrary.TestFramework.LogInformation(e.StackTrace);
                 retVal = false;
             }
-            finally
-            {
-                if (null != thread)
-                {
-                    thread.Join();
-                }
-            }
         }
 
         return retVal;
@@ -141,7 +134,7 @@ public class MutexWaitOne1
             thread = new Thread(new ThreadStart(DisposeMutex));
             thread.Start();
 
-            Thread.Sleep(c_DEFAULT_SLEEP_TIME);
+            thread.Join();
             m_Mutex.WaitOne();
 
             TestLibrary.TestFramework.LogError("103", "ObjectDisposedException is not thrown if current instance has already been disposed");
@@ -158,11 +151,6 @@ public class MutexWaitOne1
         }
         finally
         {
-            if (null != thread)
-            {
-                thread.Join();
-            }
-
             if (null != m_Mutex)
             {
                 ((IDisposable)m_Mutex).Dispose();
-- 
2.7.4

